version: '3'

services:
  license_server:
    env_file: ../.env
    build: .
    working_dir: /app/license_server
    ports:
      - '8080:8080'
    volumes:
      - ../../:/app
      - node_modules:/app/license_server/node_modules
    expose:
      - '8080'
    environment:
      - CHOKIDAR_USEPOLLING=true
    networks:
      - external
networks:
  external:
    name: omds_network
    external: true
volumes:
  node_modules:
